package com.diagbot.web;

import com.diagbot.dto.ConceptDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.KlConceptFacade;
import com.diagbot.vo.IdsVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/11/15 13:22
 */
@RestController
@RequestMapping("/kl/concept")
@Api(value = "标准术语相关API", tags = { "标准术语相关API" })
@SuppressWarnings("unchecked")
public class KlConceptController {

    @Autowired
    private KlConceptFacade klConceptFacade;

    @ApiOperation(value = "根据id批量查询标准术语[zhaops]",
            notes = "ids： 术语id列表<br>")
    @PostMapping("/getConceptByIds")
    public RespDTO<List<ConceptDTO>> getConceptByIds(@Valid @RequestBody IdsVO idsVO) {
        List<ConceptDTO> data = klConceptFacade.getConceptByIds(idsVO);
        return RespDTO.onSuc(data);
    }
}
